## org.plovr.docgen
Class ParamDescriptor

    java.lang.Object
      org.plovr.docgen.ParamDescriptor

All Implemented Interfaces:
  Descriptor

    public class ParamDescriptor

extends Object
implements Descriptor

Nested Class Summary
`static class` `ParamDescriptor.Builder`

Field Summary
`static Function<ParamDescriptor,SoyData>` `TO_SOY_DATA`

Method Summary
`static ParamDescriptor.Builder` `builder()`
`String` `getDescription()`
`String` `getName()`
`TypeExpression` `getTypeExpression()`
`SoyMapData` `toSoyData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TO_SOY_DATA

    public static final Function<ParamDescriptor,SoyData> TO_SOY_DATA

Method Detail

### builder

    public static ParamDescriptor.Builder builder()

### getName

    public String getName()

  Specified by:
    `getName` in interface `Descriptor`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `Descriptor`

### getTypeExpression

    public TypeExpression getTypeExpression()

### toSoyData

    public SoyMapData toSoyData()

  Specified by:
    `toSoyData` in interface `Descriptor`